| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::CameraWrapper Class Referencefinal

Wraps a nkGraphics::Camera and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | getNear (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getFar (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getPositionAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getFrustum (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getPerspectiveFov (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getOrthographicHeight (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getDirectionAtPixelView (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getDirectionAtPixelWorld (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::Camera and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::CameraWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ getNear()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getNear | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getNear().

local n = c:getNear() ;

Parameters

  stack | The parameter stack.

Returns
  The return value, as a float.

## ◆ getFar()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getFar | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getFar().

local f = c:getFar() ;

Parameters

  stack | The parameter stack.

Returns
  The return value, as a float.

## ◆ getPositionAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getPositionAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getPositionAbsolute().

local p = c:getPositionAbsolute() ;

Parameters

  stack | The data from which the value will be retrieved.

Returns
  The requested value, as a nkGraphics::Vector.

## ◆ getFrustum()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getFrustum | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getFrustum().

local f = c:getFrustum() ;

Parameters

  stack | The data from which the value will be retrieved.

Returns
  The requested value, as a nkGraphics::Frustum.

## ◆ getPerspectiveFov()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getPerspectiveFov | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getPerspectiveFov().

local f = c:getFov() ;

Parameters

  stack | The data from which the value will be retrieved.

Returns
  The requested value, as a float.

## ◆ getOrthographicHeight()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getOrthographicHeight | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getOrthographicHeight().

local h = c:getOrthographicHeight() ;

Parameters

  stack | The data from which the attribute will be retrieved.

Returns
  The requested value, as a float.

## ◆ getDirectionAtPixelView()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getDirectionAtPixelView | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getDirectionAtPixelView().

local d = c:getDirectionAtPixelView() ;

Parameters

  stack | The data from which the value will be retrieved.

Returns
  The requested value, as a nkMaths::Vector.

## ◆ getDirectionAtPixelWorld()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraWrapper::getDirectionAtPixelWorld | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Camera::getDirectionAtPixelWorld().

local d = c:getDirectionAtPixelWorld() ;

Parameters

  stack | The data from which the value will be retrieved.

Returns
  The requested value, as a nkMaths::Vector.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Cameras/CameraWrapper.h